put
https://api.fulcrumapp.com/api/v2/records/.json
Update a record with a provided record object. The record object is expected to be the complete representation of the record. Any fields not included are assumed null.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
API Library Examples
from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')
obj = {
"record": {
"form_id": "my-form-id",
"latitude": 27.770787,
"longitude": -82.638039,
"gps_device_capture": {
"device_name": "Trimble R2",
"manufacturer": "Trimble",
"fix_type": "RTK",
"satellite_count": 14,
"hdop": 0.8,
"geometry": {
"type": "Point",
"coordinates": [-82.638039, 27.770787]
}
},
"form_values": {
"2832": "456-DEF",
"8373": {
"choice_values": [
"pillar"
]
}
}
}
}
record = fulcrum.records.update('{record_id}', obj)
print(record['record']['id'] + ' has been updated!')const { Client } = require('fulcrum-app');
const client = new Client('{token}');
const obj = {
"form_id": "my-form-id",
"latitude": 27.770787,
"longitude": -82.638039,
"gps_device_capture": {
"device_name": "Trimble R2",
"manufacturer": "Trimble",
"fix_type": "RTK",
"satellite_count": 14,
"hdop": 0.8,
"geometry": {
"type": "Point",
"coordinates": [-82.638039, 27.770787]
}
},
"form_values": {
"2832": "456-DEF",
"8373": {
"choice_values": [
"pillar"
]
}
}
};
client.records.update('{record_id}', obj)
.then((record) => {
console.log(record.id + ' has been updated!');
})
.catch((error) => {
console.log(error.message);
});require 'fulcrum'
client = Fulcrum::Client.new('{token}')
record = {
"form_id"=>"my-form-id",
"latitude"=>27.770787,
"longitude"=>-82.638039,
"gps_device_capture"=>{
"device_name"=>"Trimble R2",
"manufacturer"=>"Trimble",
"fix_type"=>"RTK",
"satellite_count"=>14,
"hdop"=>0.8,
"geometry"=>{
"type"=>"Point",
"coordinates"=>[-82.638039, 27.770787]
}
},
"form_values"=>{
"2832"=>"456-DEF",
"8373"=>{
"choice_values"=>[
"pillar"
]
}
}
}
response = client.records.update('{record_id}', record)
puts response['id'] + ' has been updated!'